import { jsx } from "react/jsx-runtime";
import { GhostIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Ghost = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "Ghost", ...props, children: /* @__PURE__ */ jsx(GhostIcon, { weight: variant }) });
  }
);
Ghost.displayName = "Ghost";
Object.assign(Ghost, { isGdsIcon: true });
export {
  Ghost
};
